#ifndef _PROFILESTYLES_H
#define _PROFILESTYLES_H

#include <QDialog>
#include <QtWidgets/QGridLayout>
#include <QtWidgets/QGroupBox>
#include <QtWidgets/QHBoxLayout>
#include <QtWidgets/QHeaderView>
#include <QtWidgets/QPushButton>
#include <QtWidgets/QTableWidget>

namespace Ui {
class ProfileStyles;
}

class ProfileStyles : public QDialog
{
    Q_OBJECT

public:
    explicit ProfileStyles(QWidget *parent = nullptr);
    ~ProfileStyles();

signals:
    void setStatus(QString);

private slots:
    void on_insertButton_clicked();
    void on_editButton_clicked();
    void refreshTable(void);

private:
    QGridLayout *gridLayout;
    QTableWidget *tableStyles;
    QGroupBox *groupBox;
    QHBoxLayout *horizontalLayout;
    QPushButton *quitButton;
    QPushButton *insertButton;

    void edit(int recno);
};

#endif
